# Class JSOFA.CalendarHMS

java.lang.Object
org.jastronomy.jsofa.JSOFA.CalendarHMS

Enclosing class:
  `JSOFA`

public static class JSOFA.CalendarHMS extends Object
Representation of Gregorian Calendar with integer hours minutes and seconds.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`id`
`final int[]`
`ihmsf`
`final int`
`im`
`final int`
`iy`

## Constructor Summary

Constructors
Constructor
Description
`CalendarHMS(int iy, int im, int id, int[] hmsf)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iy

public final int iy

### im

public final int im

### id

public final int id

### ihmsf

public final int[] ihmsf

## Constructor Details

### CalendarHMS

public CalendarHMS(int iy, int im, int id, int[] hmsf)